Package org.apache.jmeter.protocol.http.control

# Class DynamicKerberosSchemeFactory

java.lang.Object
org.apache.http.impl.auth.KerberosSchemeFactory
org.apache.jmeter.protocol.http.control.DynamicKerberosSchemeFactory

All Implemented Interfaces:
  `org.apache.http.auth.AuthSchemeFactory`, `org.apache.http.auth.AuthSchemeProvider`

public class DynamicKerberosSchemeFactory extends org.apache.http.impl.auth.KerberosSchemeFactory
Extends `KerberosSchemeFactory` to provide ability to customize stripPort setting in `KerberosScheme` based on `HttpContext`

Since:
  5.0

## Constructor Summary

Constructors
Constructor
Description
`DynamicKerberosSchemeFactory(boolean stripPort, boolean useCanonicalHostname)`
Constructor for DynamicKerberosSchemeFactory

## Method Summary

Modifier and Type
Method
Description
`org.apache.http.auth.AuthScheme`
`create(org.apache.http.protocol.HttpContext context)`

### Methods inherited from class org.apache.http.impl.auth.KerberosSchemeFactory

`isStripPort, isUseCanonicalHostname, newInstance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DynamicKerberosSchemeFactory

public DynamicKerberosSchemeFactory(boolean stripPort, boolean useCanonicalHostname)
Constructor for DynamicKerberosSchemeFactory

Parameters:
  `stripPort` - flag, whether port should be stripped from SPN
  `useCanonicalHostname` - flag, whether SPN should use the canonical hostname
Since:
  4.0

## Method Details

### create

public org.apache.http.auth.AuthScheme create(org.apache.http.protocol.HttpContext context)

Specified by:
  `create` in interface `org.apache.http.auth.AuthSchemeProvider`
Overrides:
  `create` in class `org.apache.http.impl.auth.KerberosSchemeFactory`